
import { connect } from 'umi';
import CommonGatte from '../../components/Common/Gatte/CommonGatte';

function commonList({
  dispatch, app, content,
}) {
  const commonGatteProps = {
    app,
    content,
    dispatch,
    onAddPane: getAddPane, /* 增加标签 */
  };
  function getAddPane(pane) {
    /* 增加标签 */
    dispatch({ type: 'app/addPane', payload: { pane } });
  }
  return (
    <CommonGatte {...commonGatteProps} style={{ height: '100%' }} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(commonList);
